v 13.0 Third Party 3548
Download for v 13.0 Deploy on Odoo.sh
Required Apps Employees (hr)
Technical Name oh_hr_zk_attendance
LicenseAGPL-3
Websitehttp://www.openhrms.com
Also available in version v 12.0 v 11.0
You bought this module and need support? Click here!
Required Apps Employees (hr)
Technical Name oh_hr_zk_attendance
LicenseAGPL-3
Websitehttp://www.openhrms.com
Also available in version v 12.0 v 11.0
cybrosys-logo

Open Biometric Device Integration

Biometric Device Integration With HR Attendance

Key Highlights

  • check Automating HR attendance.
  • check Option to configure multiple devices.
  • check Option to keep the device attendance log in Odoo.
  • check Integrates biometric device(Face+Thumb) with HR attendance.
  • check Option to clear the device attendance log from both device and Odoo.

Overview


Automation is an implementation factor for a successful ERP. With this module, HR attendance can automate by integrating Thumb / Face detection device with Odoo. We can configure a user both from thumbing device or Odoo employee form.

Configuration


This module will support with

    ZKteco model 'uFace 202'

    ZKteco model 'iFace990'

Open Biometric Device Integration


  • check Automating HR attendance.
  • check Option to configure multiple devices.
  • check Option to keep the device attendance log in Odoo.
  • check Integrates biometric device(Face+Thumb) with HR attendance.
  • check Option to clear the device attendance log from both device and Odoo.

Screenshots


Suggested Products


Our Service


Odoo Customization

Odoo Implementation

Odoo Integration

Odoo Support

Hire Odoo Developers

Our Industries


Odoo Industry

Trading

Easily procure and sell your products.

Odoo Industry

Manufacturing

Plan, track and schedule your operations.

Odoo Industry

Restaurant

Run your bar or restaurant methodical.

Odoo Industry

POS

Easy configuring and convivial selling.

Odoo Industry

E-commerce & Website

Mobile friendly, awe-inspiring product pages.

Odoo Industry

Hotel Management

An all-inclusive hotel management application.

Odoo Industry

Education

A Collaborative platform for educational management.

Odoo Industry

Service Management

Keep track of services and invoice accordingly.

Need Any Help?


If you have anything to share with us based on your use of this module, please let us know. We are ready to offer our support.

Email us

odoo@cybrosys.com / info@cybrosys.com

Contact Us

www.cybrosys.com
Suggested Products

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
I need help. When I installed this module, the original reporting function was disabled
by
yibin
on 7/2/20, 10:24 PM

错误: Odoo Server Error Traceback (most recent call last): File "/odoo/odoo-server/odoo/api.py", line 745, in get value = self._data[field][record._ids[0]] KeyError: 230 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/odoo/odoo-server/odoo/fields.py", line 1002, in __get__ value = env.cache.get(record, self) File "/odoo/odoo-server/odoo/api.py", line 751, in get raise CacheMiss(record, field) odoo.exceptions.CacheMiss: ('ir.actions.act_window(230,).search_view', None) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 664, in apply_inheritance_specs pre_locate=pre_locate) File "/odoo/odoo-server/odoo/tools/template_inheritance.py", line 230, in apply_inheritance_specs _("Element '%s' cannot be located in parent view") % tag ValueError: 父视图中没有找到元素 '' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/odoo/odoo-server/odoo/http.py", line 624, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/odoo/odoo-server/odoo/http.py", line 310, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/odoo/odoo-server/odoo/tools/pycompat.py", line 14, in reraise raise value File "/odoo/odoo-server/odoo/http.py", line 669, in dispatch result = self._call_function(**self.params) File "/odoo/odoo-server/odoo/http.py", line 350, in _call_function return checked_call(self.db, *args, **kwargs) File "/odoo/odoo-server/odoo/service/model.py", line 94, in wrapper return f(dbname, *args, **kwargs) File "/odoo/odoo-server/odoo/http.py", line 339, in checked_call result = self.endpoint(*a, **kw) File "/odoo/odoo-server/odoo/http.py", line 915, in __call__ return self.method(*args, **kw) File "/odoo/odoo-server/odoo/http.py", line 515, in response_wrap response = f(*args, **kw) File "/odoo/odoo-server/addons/web/controllers/main.py", line 1646, in load action = request.env[action_type].browse([action_id]).read() File "/odoo/odoo-server/odoo/addons/base/models/ir_actions.py", line 204, in read result = super(IrActionsActWindow, self).read(fields, load=load) File "/odoo/odoo-server/odoo/models.py", line 2915, in read vals[name] = convert(record[name], record, use_name_get) File "/odoo/odoo-server/odoo/models.py", line 5616, in __getitem__ return self._fields[key].__get__(self, type(self)) File "/odoo/odoo-server/odoo/fields.py", line 1026, in __get__ self.compute_value(recs) File "/odoo/odoo-server/odoo/fields.py", line 1111, in compute_value records._compute_field_value(self) File "/odoo/odoo-server/odoo/models.py", line 3915, in _compute_field_value getattr(self, field.compute)() File "/odoo/odoo-server/odoo/addons/base/models/ir_actions.py", line 171, in _compute_search_view fvg = self.env[act.res_model].fields_view_get(act.search_view_id.id, 'search') File "/odoo/odoo-server/addons/web/models/models.py", line 206, in fields_view_get r = super().fields_view_get(view_id, view_type, toolbar, submenu) File "/odoo/odoo-server/odoo/models.py", line 1521, in fields_view_get result = self._fields_view_get(view_id=view_id, view_type=view_type, toolbar=toolbar, submenu=submenu) File "/odoo/odoo-server/odoo/models.py", line 1483, in _fields_view_get root_view = View.browse(view_id).read_combined(['id', 'name', 'field_parent', 'type', 'model', 'arch']) File "/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 738, in read_combined arch = self.apply_view_inheritance(arch_tree, root.id, self.model) File "/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 687, in apply_view_inheritance source = self.apply_inheritance_specs(source, specs_tree, view_id) File "/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 666, in apply_inheritance_specs self.raise_view_error(str(e), inherit_id) File "/odoo/odoo-server/odoo/addons/base/models/ir_ui_view.py", line 614, in raise_view_error raise ValueError(message) ValueError: 父视图中没有找到元素 '' 错误的上下文: 视图 `inherited_hr_attendance_view_filter` [view_id: 1540, xml_id: oh_hr_zk_attendance.inherited_hr_attendance_view_filter, model: hr.attendance, parent_id: 689]


ZK UF200 and bug
by
meteor
on 5/8/20, 7:38 AM

Can the software support this module? install thte package,click the Attendance or report button then Pop up error window,I think your software have a bug on odoo v13


Does not work on Odoo.sh
by
dina.salah@egymentors.com
on 7/16/20, 8:59 AM

This module is not connecting to the Bio metric machine when hosting Odoo on Odoo.sh ? Is it already doesn't work on odoo.sh ? if no Kindly send us the steps of connection of the machine to Odoo.sh. Thanks.